none
Windows 7专业版的IIS是否可以承载.NET 4.5的ASP.NET应用程序? RRS feed

  • 问题

  • Windows 7专业版的IIS是否可以承载.NET 4.5的ASP.NET应用程序?

    我在应用程序池里只找到了.NET 2.0和.NET 4.0,没有找到.NET 4.5。是不是只要.NET 4.0的就可以了?

    2015年11月7日 13:31

答案

  • .net 4.5 是.net 4的 in-place upgrade. 

    in-place upgrade的意识是CLR没有变化,只是加入了新的类库,修正了一些bug,还是改进性能等。

    .net 3 和.net3.5也是.net 2.0 的in-place upgrade,因此你在IIS的APP POOL中也没法选择.net3 和.net 3.5. 

    因此只要选择net 4即可,当然前提是.net 4.5 运行时已经安装到机器上。

    2015年11月8日 11:16